package com.tianyi.sync.controller;

import com.tianyi.sync.service.DataSyncService;
import org.springframework.web.bind.annotation.GetMapping;

import org.springframework.web.bind.annotation.RestController;

@RestController
public class DataSyncController {

    private final DataSyncService dataSyncService;

    public DataSyncController(DataSyncService dataSyncService) {
        this.dataSyncService = dataSyncService;
    }

    /**
     * 股份数据同步
     *
     * @return
     */
    @GetMapping("/data/sync")
    public Object sync() {
        return dataSyncService.sync();
    }
}
