package com.tianyi.sync.controller;

import com.tianyi.sync.service.LiabilitiesDataSyncService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 李天壮
 * @date 2024年07月30日 08:16
 */
@RestController
public class LiabilitiesDataSyncController {


    private final LiabilitiesDataSyncService liabilitiesDataSyncService;

    public LiabilitiesDataSyncController(LiabilitiesDataSyncService liabilitiesDataSyncService) {
        this.liabilitiesDataSyncService = liabilitiesDataSyncService;
    }

    /**
     * 资产负债数据同步
     *
     * @return
     */
    @PostMapping("/liabilities/data/sync")
    public Object liabilitiesDataSync() {
        return liabilitiesDataSyncService.liabilitiesSync();
    }
}
